## org.apache.mahout.math.solver
Interface Preconditioner

All Known Implementing Classes:
  JacobiConditioner

    public interface Preconditioner

Interface for defining preconditioners used for improving the performance and/or stability of linear system solvers.

Method Summary
`Vector` `precondition(Vector v)` Preconditions the specified vector.

Method Detail

### precondition

    Vector precondition(Vector v)

  Preconditions the specified vector.

  Parameters:
    `v` - The vector to precondition.
  Returns:
    The preconditioned vector.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.